Subject: Re: Probing nvme disks fails on Upstream kernels on powerpc Maxconfig

From: Srikar Dronamraju <[email-masked]>
Date: Mon, 22 May 2023 16:38:18 +0530

* Michael Ellerman <[email-masked]> [2023-05-22 17:41:22]:

> Srikar Dronamraju <[email-masked]> writes:
> > * Alexey Kardashevskiy <[email-masked]> [2023-04-13 22:09:22]:
> >
> >> > > On 23.03.23 10:53, Srikar Dronamraju wrote:
> >> > > > 
> > Hi Alexey, Michael
> >
> > Sorry for the late reply, but I didnt have access to this large system.
> > This weekend, I did get access and tested with the patch. However it didn't
> > help much, system is still stuck at dracut with similar message except the
> > trace.
> >
> > However this patch
> > https://lore.kernel.org/all/[email-masked]/
> > from Gaurav Batra does solve this issue.
> 
> Thanks.
> 
> There was a v3 of that patch:
>   https://lore.kernel.org/all/[email-masked]/
> 
> Which is merged now into mainline as:
>   096339ab84f3 ("powerpc/iommu: DMA address offset is incorrectly calculated with 2MB TCEs")
> 
> Presumably it also fixes the bug for you, so I'll mark this as fixed,
> but if you can test that exact commit that would be good to confirm the
> bug is fixed in mainline.
> 

Yes verified with mainline kernel and also with the v3.
This patch/commit does fix it.

-- 
Thanks and Regards
Srikar Dronamraju